Before you upgrade

If you have installed Appeon 2016, you can upgrade to PowerServer 2019, but you cannot upgrade from Appeon 2015 or an earlier version. If you are using Appeon 2015 or an earlier version, uninstall it and then install PowerServer 2019.

Note that applications deployed with the old version and the demo applications must be redeployed with Appeon PowerServer 2019 after the upgrade.

Before upgrading to Appeon PowerServer 2019, upgrade the system environment as required in Installation requirements.

In addition to the system environment requirements, you should meet the installation prerequisites listed in Appeon new installation before upgrading each component.